org.apache.tinkerpop.gremlin.structure

## Enum Transaction.READ_WRITE_BEHAVIOR

- java.lang.Object
- - java.lang.Enum<Transaction.READ_WRITE_BEHAVIOR>
  - - org.apache.tinkerpop.gremlin.structure.Transaction.READ_WRITE_BEHAVIOR

- All Implemented Interfaces:
    Serializable, Comparable<Transaction.READ_WRITE_BEHAVIOR>, Consumer<Transaction>
  Enclosing interface:
    Transaction

      public static enum Transaction.READ_WRITE_BEHAVIOR
      extends Enum<Transaction.READ_WRITE_BEHAVIOR>
      implements Consumer<Transaction>

  Behaviors to supply to the `Transaction.onReadWrite(Consumer)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Transactions are automatically started when a read or a write occurs.
    `MANUAL` Transactions must be explicitly opened for operations to occur on the graph.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transaction.READ_WRITE_BEHAVIOR` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transaction.READ_WRITE_BEHAVIOR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `accept, andThen`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Transaction.READ_WRITE_BEHAVIOR AUTO

      Transactions are automatically started when a read or a write occurs.

    - #### MANUAL

          public static final Transaction.READ_WRITE_BEHAVIOR MANUAL

      Transactions must be explicitly opened for operations to occur on the graph.

  - ### Method Detail

    - #### values

          public static Transaction.READ_WRITE_BEHAVIOR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transaction.READ_WRITE_BEHAVIOR c : Transaction.READ_WRITE_BEHAVIOR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transaction.READ_WRITE_BEHAVIOR valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.